Bug 1117117 - mstflint: FTBFS on arm and aarch64
Summary: mstflint: FTBFS on arm and aarch64
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mstflint
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Honggang LI
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARMTracker ARM64, F-ExcludeArch-aarch64 1106248
TreeView+ depends on / blocked
 
Reported: 2014-07-08 05:33 UTC by Yaakov Selkowitz
Modified: 2016-04-20 19:20 UTC (History)
4 users (show)

Fixed In Version: mstflint-4.3.0-1.49.g9b9af70.1.fc24 mstflint-4.3.0-1.49.g9b9af70.1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-18 17:27:29 UTC


Attachments (Terms of Use)

Description Yaakov Selkowitz 2014-07-08 05:33:46 UTC
mstflint-3.0 FTBFS on ARM and AArch64 because flint/adb_to_c_utils.h needs to be taught about these platforms:

./adb_to_c_utils.h:137:9: error: #error Unknown CPU architecture using the linux OS
./adb_to_c_utils.h:183:5: error: #error Unknown architecture

*If* this software is actually useful on these platforms, it needs to be ported accordingly.

Comment 1 Jan Kurik 2015-07-15 14:39:25 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 2 Fedora Update System 2016-04-12 12:47:00 UTC
mstflint-4.3.0-1.49.g9b9af70.1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bee45022c1

Comment 3 Fedora Update System 2016-04-12 12:47:12 UTC
mstflint-4.3.0-1.49.g9b9af70.1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c6e3945e60

Comment 4 Honggang LI 2016-04-12 12:56:01 UTC
http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=3500891
==================================
Output 	build.log (tail)
mock_output.log (tail)
root.log (tail)
state.log (tail)
mstflint-4.3.0-1.49.g9b9af70.1.fc25.aarch64.rpm
mstflint-4.3.0-1.49.g9b9af70.1.fc25.src.rpm
mstflint-debuginfo-4.3.0-1.49.g9b9af70.1.fc25.aarch64.rpm
==================================

Comment 5 Fedora Update System 2016-04-13 09:26:28 UTC
mstflint-4.3.0-1.49.g9b9af70.1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bee45022c1

Comment 6 Fedora Update System 2016-04-13 21:25:31 UTC
mstflint-4.3.0-1.49.g9b9af70.1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c6e3945e60

Comment 7 Fedora Update System 2016-04-18 17:27:21 UTC
mstflint-4.3.0-1.49.g9b9af70.1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-04-20 19:20:53 UTC
mstflint-4.3.0-1.49.g9b9af70.1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.